# fmu-tools

[![fmu-tools](https://github.com/equinor/fmu-tools/actions/workflows/fmu-tools.yml/badge.svg)](https://github.com/equinor/fmu-tools/actions/workflows/fmu-tools.yml)
[![codecov](https://codecov.io/gh/equinor/fmu-tools/branch/master/graph/badge.svg)](https://codecov.io/gh/equinor/fmu-tools)
[![License: LGPL v3](https://img.shields.io/github/license/equinor/fmu-tools)](https://www.gnu.org/licenses/lgpl-3.0)
[![Ruff](https://img.shields.io/endpoint?url=https://raw.githubusercontent.com/astral-sh/ruff/main/assets/badge/v2.json)](https://github.com/astral-sh/ruff)
![PyPI - Python Version](https://img.shields.io/pypi/pyversions/fmu-tools.svg)
[![PyPI](https://img.shields.io/pypi/v/fmu-tools.svg)](https://pypi.org/project/fmu-tools/)

**fmu-tools** is a library containing tools for pre- and post-processing in a
Fast Model Update (FMU) context. These tools are used for automatic QC,
and visualization.

---

## Installation

fmu-tools can be installed via pip

```sh
pip install fmu-tools
```

Note that some of utilities may depend upon commercial third-party
software.

## Usage

As a collection of utilities fmu-tools has many different invocations and
usages. Visit the [documentation](https://equinor.github.io/fmu-tools)
for a complete overview.

## Developing & Contributing

All contributions are welcome. Please see the
[Contributing document](https://equinor.github.io/fmu-tools/contributing.html)
for more details and instructions for getting started.

## Documentation

The documentation can be found at
[https://equinor.github.io/fmu-tools](https://equinor.github.io/fmu-tools).

## License

This software is released under the LGPLv3 license.
